OGRE: Ogre::DescriptorSetTexture2::TextureSlot Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Ogre::DescriptorSetTexture2::TextureSlot Struct Reference

`#include <OgreDescriptorSetTexture.h>`

## Public Member Functions
bool | formatNeedsReinterpret (void) const
bool | needsDifferentView (void) const
bool | operator!= (const TextureSlot &other) const
bool | operator< (const TextureSlot &other) const

## Static Public Member Functions
static TextureSlot | makeEmpty (void)

## Public Attributes
bool | cubemapsAs2DArrays
uint8 | mipmapLevel
uint8 | numMipmaps
| When this value is 0, it means all mipmaps from mipmapLevel until the end. More...
PixelFormatGpu | pixelFormat
| When left as PFG_UNKNOWN, we'll automatically use the TextureGpu's native format. More...
TextureGpu * | texture
uint16 | textureArrayIndex

## Member Function Documentation

## ◆ formatNeedsReinterpret()

bool Ogre::DescriptorSetTexture2::TextureSlot::formatNeedsReinterpret | ( | void |  | ) | const

## ◆ makeEmpty()

static TextureSlot Ogre::DescriptorSetTexture2::TextureSlot::makeEmpty | ( | void |  | ) |
| inlinestatic

## ◆ needsDifferentView()

bool Ogre::DescriptorSetTexture2::TextureSlot::needsDifferentView | ( | void |  | ) | const

## ◆ operator!=()

bool Ogre::DescriptorSetTexture2::TextureSlot::operator!= | ( | const TextureSlot & | other | ) | const
| inline

References mipmapLevel, numMipmaps, pixelFormat, texture, and textureArrayIndex.

## ◆ operator<()

bool Ogre::DescriptorSetTexture2::TextureSlot::operator< | ( | const TextureSlot & | other | ) | const
| inline

References mipmapLevel, numMipmaps, pixelFormat, texture, and textureArrayIndex.

## Member Data Documentation

## ◆ cubemapsAs2DArrays

bool Ogre::DescriptorSetTexture2::TextureSlot::cubemapsAs2DArrays

## ◆ mipmapLevel

uint8 Ogre::DescriptorSetTexture2::TextureSlot::mipmapLevel

Referenced by operator!=(), and operator<().

## ◆ numMipmaps

uint8 Ogre::DescriptorSetTexture2::TextureSlot::numMipmaps

When this value is 0, it means all mipmaps from mipmapLevel until the end.

Referenced by operator!=(), and operator<().

## ◆ pixelFormat

PixelFormatGpu Ogre::DescriptorSetTexture2::TextureSlot::pixelFormat

When left as PFG_UNKNOWN, we'll automatically use the TextureGpu's native format.

Referenced by operator!=(), and operator<().

## ◆ texture

TextureGpu* Ogre::DescriptorSetTexture2::TextureSlot::texture

Referenced by operator!=(), and operator<().

## ◆ textureArrayIndex

uint16 Ogre::DescriptorSetTexture2::TextureSlot::textureArrayIndex

Referenced by operator!=(), and operator<().

The documentation for this struct was generated from the following file:

- OgreDescriptorSetTexture.h